## FIELDNAMES Fieldnames of a Structure

Section: Inspection Functions

### Usage

Returns a cell array containing the names of the fields in a structure array. The syntax for its use is

       x = fieldnames(y)

where `y` is a structure array of object array. The result is a cell array, with one entry per field in `y`.

### Example

We define a simple structure array:

    --> y.foo = 3; y.goo = 'hello';
    --> x = fieldnames(y)

    x =

     ['foo']
     ['goo']

    -->
    quit